/* ------------------------------------------------------------ _WEBNEWS 
 *  URL mode is NEWS or NNTP.  Retrieve the news item or list. 
 * 
 *   How about: 
 *		news:              --> list of groups 
 *		news:group         --> list of articles 
 *		news:group/article --> text of article 
 */ 
int _webhttp(host,port,path)
  char   *host, *port, *path; 
  {
    /*  supply the default NNTP hostname,  if needed  */ 
    if (host == 0x0000 || *host == 0x00) host = getenv(""); 
    if (host == 0x0000 || *host == 0x00) host = "news"; 
 
    /*  supply the default HTTP port,  if needed  */ 
    if (port == 0x0000 || *port == 0x00) port = "119"; 
 
    /*  open a socket to the HTTP server  */ 
    s = tcpopen(host,atoi(port)); 
    if (s < 0) return s; 
 
    /*  strip leading slash from path  */ 
    while (*path == '/' && *path != 0x00) path++; 
 
    /*  parse path and build a request  */ 
    if (*path == 0x00) 
      { 
	(void) sprintf(string,"LIST"); 
	/*  and map list-of-groups to HTML  */ 
      } 
    else 
      { 
	(void) sprintf(string,"LISTGROUP %s",path); 
	/*  and map list-of-articles to HTML  */ 
      } 
    (void) netline(s,string); 
 
    /*  hand back the (reading) socket to our caller  */ 
    return s; 
  } 
 
