/* 
 *	  Name: basename.c 
 *		parse out the base file name (no dir) of a path 
 *	Author: Rick Troth, Rice University, Information Systems 
 *	  Date: 1994-Jun-17 
 */ 
 
char *basename(fn) 
  char   *fn; 
  { 
    char   *p; 
    p = fn; 
    while (*p != 0x00 && *p != '/') p++; 
    if (*p == 0x00) return fn; 
    while (*p != 0x00) p++; p--; 
    while (*p != 0x00 && *p != '/') p--; 
    if (*p == '/') p++; 
    return p; 
  } 
 
